# Module `menubar`

Menubar module, which aims to provide a freedesktop menu alternative

## List of menubar keybindings:

- "Left" | "C-j" select an item on the left
- "Right" | "C-k" select an item on the right
- "Backspace" exit the current category if we are in any
- "Escape" exit the current directory or exit menubar
- "Home" select the first item
- "End" select the last
- "Return" execute the entry
- "C-Return" execute the command with awful.spawn
- "C-M-Return" execute the command in a terminal

### Info:

- Copyright: 2011-2012 Alexander Yakushev
- Author: Alexander Yakushev <yakushev.alex@gmail.com>

## Functions

refresh ([scr]) | Refresh menubar's cache by reloading .desktop files.
show ([scr]) | Show the menubar on the given screen.
hide () | Hide the menubar.

## Theme variables

beautiful.menubar_fg_normal | Menubar normal text color.
beautiful.menubar_bg_normal | Menubar normal background color.
beautiful.menubar_border_width | Menubar border width.
beautiful.menubar_border_color | Menubar border color.
beautiful.menubar_fg_normal | Menubar selected item text color.
beautiful.menubar_bg_normal | Menubar selected item background color.

## Deprecated functions

get [deprecated] | Get a menubar wibox.

## Tables

geometry | Specifies the geometry of the menubar.
prompt_args | Allows user to specify custom parameters for prompt.run function (like colors).

## Fields

cache_entries | When true the .desktop files will be reparsed only when the extension is initialized.
show_categories | When true the categories will be shown alongside application entries.
right_margin | Width of blank space left in the right side.
right_label | Label used for "Next page", default "▶▶".
left_label | Label used for "Previous page", default "◀◀".

## Functions

Methods

refresh ([scr])
  Refresh menubar's cache by reloading .desktop files.
  - scr screen Screen. (optional)
show ([scr])
  Show the menubar on the given screen.
  - scr Screen. (optional)
hide ()
  Hide the menubar.

## Theme variables

beautiful.menubar_fg_normal
  Menubar normal text color.
beautiful.menubar_bg_normal
  Menubar normal background color.
beautiful.menubar_border_width
  Menubar border width.

  ### Type:

  - menubar_border_width number (default 0)
beautiful.menubar_border_color
  Menubar border color.
beautiful.menubar_fg_normal
  Menubar selected item text color.
beautiful.menubar_bg_normal
  Menubar selected item background color.

## Deprecated functions

get [deprecated]
  Get a menubar wibox.

  ### param:

  - scr screen Screen. (optional)

## Tables

geometry
  Specifies the geometry of the menubar. This is a table with the keys x, y, width and height. Missing values are replaced via the screen's geometry. However, missing height is replaced by the font size.
prompt_args
  Allows user to specify custom parameters for prompt.run function (like colors).

  ### See also:

  awful.prompt

## Fields

cache_entries
  When true the .desktop files will be reparsed only when the extension is initialized. Use this if menubar takes much time to open.
  - cache_entries boolean (default true)
show_categories
  When true the categories will be shown alongside application entries.
  - show_categories boolean (default true)
right_margin
  Width of blank space left in the right side.
  - right_margin number
right_label
  Label used for "Next page", default "▶▶".
  - right_label string (default "▶▶")
left_label
  Label used for "Previous page", default "◀◀".
  - left_label string (default "◀◀")

generated by LDoc 1.5.0 Last updated 2025-09-26 21:04:17